MP 1,1-5,1 What you need to do to make Catalina work with MacPro5,1

Discussion in 'Mac Pro' started by tsialex, Jun 3, 2019.

Thread Status:
The first post in this thread is a WikiPost, and can be edited by anyone with the appropriate permissions.
  1. Starplayr macrumors 6502a

    Starplayr

    Joined:
    Jun 13, 2018
    Location:
    Charlotte
    #51
    tsialex:
    What file has the unsupportedMacs text and does your unsupported Mac need to be removed from the block?
    --- Post Merged, Jun 5, 2019 ---
    UserPlugin Telemetry uses newer instructions that Core 2 Duo and Mac Pro 3,1 can't use. So far removing that works. There is something else in Catalina that I am having issues with on the MP3,1. I've got it to safe boot last night but lost Mouse. going to give it another go this evening.
     
  2. InuNacho macrumors 65816

    InuNacho

    Joined:
    Apr 24, 2008
    Location:
    In that one place
    #52
    Ahh, this reminds me of using LeopardAssist to install Leopard on my old souped up 1.4 Ghz PowerMac G4 AGP.
    It's great to see the Mac hardware enthusiasts always find a way to extend the longevity of their machines.
     
  3. tsialex, Jun 5, 2019
    Last edited: Jun 5, 2019

    tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #53
    InstallESD.dmg/OSInstall.mpkg/Distribution
    If you install from a supported Mac to a MP5,1, you don't even need to mess with the distribution file.
     
  4. eksu macrumors regular

    Joined:
    Aug 3, 2017
    #54
    Is this file / the installer not checksumed?
     
  5. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #55
    Not this one, it's a text file.
     
  6. Lycestra macrumors newbie

    Joined:
    Oct 1, 2018
    Location:
    Cheesey Midwest
    #56
    A lot of chatter considering it's only in it's first dev-only beta.

    Thoughts on BCM94322MC (built-in wifi) support? What does copying the extension from Mojave get? API/ABI incompatibilities? Or simply signing that Apple would have to bless? Something else?

    Still holding on to the hope 5,1 support will be in the final. I got the impression Mojave only got support because of holdouts (by opening up 3rd-party video cards, when the 2012 5,1 were otherwise ok..?) and that MDS bugs made them more headache than the holdouts. At the same time, with the above, 2010's might still be axed even allowing holdouts, from a purely momentum perspective. i.e. extend support for a planned single vintage generation one year longer. last year, 2012's were planned ok, but decided to include 2010's with effort. maybe this year 2012 is planned for the chopping block, but might get a last minute reprieve. that'd maybe lead to some easier community hackery to include 2010 and upgraded 4,1 if we're lucky.

    on that point, do any 2012's have a BCM94322MC?

    Thanks for all the hard work all
     
  7. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #57
    There is no driver for BCM94322MC on 10.15 DP1 and it's the standard AirPortExtreme for mid-2010/mid-2012.
     
  8. Starplayr macrumors 6502a

    Starplayr

    Joined:
    Jun 13, 2018
    Location:
    Charlotte
    #58
    Thanks, I will give it a go on my MP 3,1 tonight. I got it to save boot from a target disk in safe mode but want to try an install from itself.
     
  9. tsialex, Jun 5, 2019
    Last edited: Jun 6, 2019

    tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #59
    Found this post #26, checked the file and then made the table, Macs that do not work with Catalina Sidecar:


    iMacMacBookMacBook AirMacBook ProMac mini Mac Pro
    iMac13,1, iMac13,2, iMac13,3MacBook8,1MacBookAir5,1, MacBookAir5,2MacBookPro9,1, MacBookPro9,2Macmini6,1, Macmini6,2MacPro5,1
    iMac14,1, iMac14,2, iMac14,3, iMac14,4.MacBookAir6,1, MacBookAir6,2MacBookPro10,1, MacBookPro10,2Macmini7,1MacPro6,1
    iMac15,1.MacBookAir7,1, MacBookAir7,2MacBookPro11,1, MacBookPro11,2, MacBookPro11,3, MacBookPro11,4, MacBookPro11,5..
    iMac16,1, iMac16,2..MacBookPro12,1..
    Seems the cutout is more related to Quicksync HEVC encoding from Skylake processors. If you check the table, 2016 MacBook that have Quicksync encoding support have Sidecar, while the 2015 model that is blocked have a Broadwell processor with just decoding support.

    This is the interesting info:

    CatalinaSidecar.png

    Why MacPro5,1 is there on the blocked list if Catalina don't support it. ;)
     
  10. Macschrauber macrumors 6502

    Macschrauber

    Joined:
    Dec 27, 2015
    Location:
    Germany
    #60
    @tsialex : did the extact distribution Patch: Installer wrote all the files but the product was not bootable. Was not found in boot picker and not in startup disk control panel.
     
  11. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #61
    Install with a supported Mac for now, something on the installer is causing problems. AFAIK, no one found the exact problem yet.
     
  12. Alaska_guy macrumors regular

    Joined:
    Mar 30, 2018
    #62
    tsiAlex, I would be very interested in a installer where you remove/edit the lines of code to include the 5,1. This would assume I had a supported metal card in my machine already and edited the boot args so I could just do a seamless install on my 5,1. I do not own or know anyone with a newer Mac to do the installation as you describe in your first post, but would love to try out Catalina.
     
  13. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #63
    Until the installer is patched, you only have two options:
    1. Install Catalina with a supported Mac
    2. Install Catalina manually (manually as you do everything, containers, partitions, folders, unpack files etc)
    My goal is not Catalina initial DPs, but down the road.
     
  14. crjackson2134 macrumors 601

    crjackson2134

    Joined:
    Mar 6, 2013
    Location:
    Charlotte, NC
    #64
    He literally just said in the post above yours, that no one has figured out how to do that yet...
     
  15. Jegriva macrumors newbie

    Jegriva

    Joined:
    May 17, 2019
    Location:
    Novara, Italy
    #65
    The love is not in doubt, the security of Bloomfield chips is...
     
  16. anthonymazzeri, Jun 5, 2019
    Last edited: Jun 5, 2019

    anthonymazzeri macrumors member

    anthonymazzeri

    Joined:
    Oct 18, 2014
    #66
    At quick glance, Thunderbolt 3 required.

    Edit/ So I wonder if adding just a USB-C card would bring a MP5,1 up to spec? Probably not on PCIe2?
     
  17. tsialex, Jun 5, 2019
    Last edited: Jun 5, 2019

    tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #67
    No. Seems the cutout is more related to Quicksync HEVC (Skylake) and BT4.2 support, with both needed at the same time. It's not related to TB3, if you check the table, 2016 MacBook is supported and don't have TB3, but have BT4.2 while the 2015 model that is blocked have a Broadwell processor and only supports BT4.0.
     
  18. anthonymazzeri macrumors member

    anthonymazzeri

    Joined:
    Oct 18, 2014
    #68
    Okay, thanks. So Sidecar is confirmed D.O.A. on the MP5,1. Bummer.
     
  19. Alaska_guy macrumors regular

    Joined:
    Mar 30, 2018
    #69
    It's still early. I imagine he or someone else here will figure it out.
     
  20. tsialex, Jun 5, 2019
    Last edited: Jun 6, 2019

    tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #70
    If HEVC and BT support is really what are needed, you can upgrade your BT module for one with BT4.2 and activate RX-580 HEVC support (emulating iMac Pro with @h9826790 tutorial) down the road.

    Probably with something similar as Continuity Activation today.
     
  21. MisterAndrew macrumors 65816

    MisterAndrew

    Joined:
    Sep 15, 2015
    Location:
    Portland, Oregon
    #71
    That's weird about the Sidecar support. I haven't seen anything on Apple's site that says only certain Macs support it. The preference pane won't open on my MBP 9,1.
     
  22. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #72
    Apple did not posted about it yet, not even on ADC, but it's clear what's blocked from the framework.
     
  23. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #73
    There's a way to bypass the Sidecar block, some people reported working with some older MBPs with some artefacts and compression problems.

    Code:
    defaults write com.apple.sidecar.display allowAllDevices -bool YES
    
     
  24. Starplayr macrumors 6502a

    Starplayr

    Joined:
    Jun 13, 2018
    Location:
    Charlotte
    #74
    I have Catalina running on a Mac Pro 3,1.

    Installed to a small hardware SSD RAID from my 2016 Mac Pro.

    Removed Telemetry.

    Rebooted with cmd x and x.

    I did hack the installer disk to ignore CPU type and removed my model number from black list. Not sure if that helped any.

    Came up with mouse and transparency. I have a flashed galaxy GTX 680 card 2GB brand new.

    Did not install any patches yet.

    No WiFi yet. Will look for my Broadcom one from mojave.

    Screen is gorgeous on my 4k display.

    Magic Trackpad is not working. Says connected. Ahbb it connects via the settings!
    --- Post Merged, Jun 5, 2019 ---
     

    Attached Files:

  25. tsialex thread starter macrumors 601

    tsialex

    Joined:
    Jun 13, 2016
    Location:
    Brazil
    #75
    No need to mess with Distribution file, if you are using a supported Mac.

    One thing that would be interesting, is to add boardID and model to the PlatformSupport.plist on Preboot volume and on /System/Library/CoreServices so you could clear NVRAM when needed.

    <string>Mac-F42C88C8</string>
    <string>MacPro3,1</string>
     
Thread Status:
The first post in this thread is a WikiPost, and can be edited by anyone with the appropriate permissions.

Share This Page